# class Instance | Makes it possible to use KNotifyClient with a KInstance that is not the application. More...
Full name | `KNotifyClient::Instance`
Definition | `#include <knotifyclient.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Instance (KInstance *)
- ~Instance ()
- bool useSystemBell () const

#### Public Static Methods

- static KInstance * current ()
- static Instance * currentInstance ()

## Detailed Description

Makes it possible to use KNotifyClient with a KInstance that is not the application.

Use like this:

     KNotifyClient::Instance(myInstance);
     KNotifyClient::event("MyEvent");

     @short Enables @ref KNotifyClient to use a different @ref KInstance

Instance (KInstance *) | ### Instance

Constructs a KNotifyClient::Instance to make KNotifyClient use the specified KInstance for the event configuration

~Instance () | ### ~Instance

Destructs the KNotifyClient::Instance and resets KNotifyClient to the previously used KInstance

bool useSystemBell () | ### useSystemBell

[const]

Returns: true if this instance should use the System bell instead of KNotify.

KInstance * current () | ### current

[static]

Returns the currently active KInstance

Instance * currentInstance () | ### currentInstance

[static]

Returns the current KNotifyClient::Instance (not the KInstance)

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:13 2001, using kdoc 2.0a53.